Subject: Re: [httpwg/http-extensions] normative reference to "key" spec (#200)

From: HTTP issue updates <[email-masked]>
Date: Sat, 18 Jun 2016 17:54:04 -0700

Good question. The most relevant text in CH is:

> When doing so, and if the resource is cacheable, the server MUST also emit a Vary response header field (Section 7.1.4 of [RFC7231]), and optionally Key ([I-D.ietf-httpbis-key]), to indicate which hints can affect the selected response and whether the selected response is appropriate for a later request.

Later:

> Client Hints MAY be combined with Key ([I-D.ietf-httpbis-key]) to enable fine-grained control of the cache key for improved cache efficiency. For example, the server can return the following set of instructions

This feels more like informative than normative.

---
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/issues/200#issuecomment-226973225